body {
	font-family: Arial, sans-serif;
	background: #f5f5f5;
	text-align: center;
	box-sizing: border-box;
}

h1 {
	margin-bottom: 0;
}

#countdowns-static {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
	gap: 1rem;
	padding: 0.5rem;
}

#countdowns-dynamic,
#countdowns-own {
	padding: 0.5rem;
}

#countdowns-dynamic .countdown-block .time-left {
	margin-bottom: 1rem;
}

.countdown-block {
	background: white;
	border-radius: 10px;
	box-shadow: 0 2px 8px rgba(0, 0, 0, 0.15);
	padding: 1rem;
	position: relative;
}

.countdown-block.bd {
	padding-bottom: 1.5rem;
}

.countdown-block .type {
	font-size: 0.8rem;
	color: #888;
	display: block;
}

.countdown-block .time-display {
	font-size: 2.2rem;
	color: #333;
	font-weight: bold;
	margin: 0;
}

.countdown-block .edit-container {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 0.5rem;
	margin-top: 0.5rem;
}

.countdown-block input[type="time"] {
	height: 2.2rem;
	border: 1px solid #ddd;
	border-radius: 4px;
	font-size: 1.2rem;
	margin-top: 0.2rem;
}

#save-custom {
	height: 2.2rem;
	transform: translateY(-0.1rem);
}

.countdown-block button {
	padding: 0.5rem;
	background: #0078d4;
	color: white;
	border: none;
	border-radius: 4px;
	cursor: pointer;
	font-size: 0.9rem;
}

.countdown-block .edit-btn {
	position: absolute;
	top: 1rem;
	right: 1rem;
}

.countdown-block button:hover {
	background: #42a5f5;
}

.time-label {
	font-weight: bold;
	color: #444;
}

.time-left {
	font-size: 1.4rem;
	color: #0078d4;
	font-weight: bold;
	margin: 0.2rem 0 0.5rem 0;
	user-select: none;
}

.time-left.mm {
	margin-bottom: 1.6rem;
}

.bar-container {
	background: #ddd;
	border-radius: 6px;
	height: 10px;
	width: 100%;
	overflow: hidden;
}

.bar {
	background: linear-gradient(to right, #0078d4, #42a5f5);
	height: 100%;
	width: 0%;
	transition: 1s linear;
}

.progress-scale {
	position: relative;
	margin-top: 1rem;
}

.scale-tick {
	position: absolute;
	top: -2.3rem;
	left: 0;
	width: 2px;
	height: 2rem;
	background: #0078d4;
}

.scale-tick.thin {
	width: 1px;
}

.scale-tick.mini {
	width: 1px;
	height: 1.4rem;
	top: -1.95rem;
}

.scale-tick.mini-fat {
	width: 2px;
	height: 1.4rem;
	top: -1.95rem;
}

.scale-label {
	position: absolute;
	bottom: -1rem;
	left: 50%;
	transform: translateX(-50%);
	font-size: 0.7rem;
	font-weight: bold;
	color: #0078d4;
	white-space: nowrap;
}

.scale-label.mvr {
	transform: translateX(0%);
}

.scale-label.mvl {
	transform: translateX(-100%);
}

.infos {
	position: absolute;
	top: 0;
	right: 0;

	display: flex;
	flex-direction: row;
	gap: 0.2rem;

	padding: 0.5rem;
}

.info {
	background-color: rgba(0, 0, 0, 0.1);
	padding: 0.4rem 0.8rem;
	border-radius: 8px;
}

.thru {
	text-decoration: line-through;
}
